import * as React from 'react';
import Svg, {Defs, LinearGradient, Stop, G, Path} from 'react-native-svg';

function Logo(props: any) {
  return (
    <Svg width="100%" height="100%" viewBox="0 0 120 27" {...props}>
      <Defs>
        <LinearGradient
          id="prefix__a"
          x1="42.027%"
          x2="53.51%"
          y1="65.843%"
          y2="33.163%">
          <Stop offset="0%" />
          <Stop offset="7.43%" />
          <Stop offset="22.09%" />
          <Stop offset="42.72%" />
          <Stop offset="100%" />
        </LinearGradient>
        <LinearGradient
          id="prefix__b"
          x1="46.919%"
          x2="52.309%"
          y1="52.449%"
          y2="47.725%">
          <Stop offset="0%" />
          <Stop offset="57.1%" />
          <Stop offset="100%" />
        </LinearGradient>
      </Defs>
      <G fill="none">
        <Path
          fill="#fcde00"
          d="M119.84.197c-.005 0-.005 0-.009-.004a.365.365 0 00-.164-.016 59.774 59.774 0 01-21.123.068.814.814 0 00-.99.566 18.964 18.964 0 00-.27 2.528c10.6.534 19.16-2.023 20.276-2.34a66.766 66.766 0 01-23.8 4.527c-.742-.004-1.26.554-1.023 1.12a15.264 15.264 0 001.75 3.038c.237.313.494.61.767.903a11.795 11.795 0 001.673 1.453c-.73.642-1.601 1.176-2.263 1.537-.205.109-.1.422.128.394 9.825-1.124 19.264-7.208 25.128-13.377.148-.16.076-.337-.08-.397z"
        />
        <Path
          fill="#fcde00"
          d="M117.452.538c-6.281.907-12.69.81-18.912-.293a.814.814 0 00-.99.566 18.964 18.964 0 00-.27 2.528c10.6.534 19.16-2.023 20.276-2.34-.004.004.634-.57-.104-.461z"
        />
        <Path
          fill="white"
          d="M86.58 9.909V5.542l-3.37.02V7.67l-.005.405c0 .498-.18.927-.545 1.292a1.792 1.792 0 01-1.313.546H80.34v2.717c3.62.562 7.61.373 10.11-1.457V9.91h-3.87zm-59.714-.405c-2.412 0-4.391.786-5.928 2.356-1.541 1.569-2.308 3.52-2.308 5.847 0 2.372.779 4.33 2.34 5.884 1.561 1.549 3.608 2.323 6.148 2.323 3.014 0 5.294-1.135 6.835-3.399l-2.777-1.625c-.895 1.292-2.236 1.934-4.025 1.934-1.293 0-2.384-.317-3.28-.951-.894-.634-1.464-1.545-1.713-2.73h12.417c.085-.581.125-1.05.125-1.404 0-2.287-.735-4.234-2.2-5.835-1.473-1.602-3.347-2.4-5.634-2.4zm-4.744 6.89c.229-1.187.758-2.118 1.589-2.805.83-.686 1.87-1.031 3.118-1.031 1.104 0 2.063.325 2.886.967.823.646 1.345 1.601 1.577 2.87h-9.17zm-8.894-4.27c-1.268-1.745-3.09-2.62-5.462-2.62-2.14 0-3.973.79-5.49 2.372C.759 13.456 0 15.399 0 17.707c0 2.288.759 4.23 2.276 5.82 1.517 1.589 3.35 2.387 5.49 2.387 2.372 0 4.19-.883 5.462-2.652v2.247H16.6V3.669h-3.37v8.455zm-1.405 9.159c-.935.947-2.11 1.417-3.527 1.417-1.417 0-2.589-.474-3.528-1.417-.935-.947-1.405-2.14-1.405-3.576 0-1.433.466-2.625 1.405-3.572.935-.947 2.11-1.42 3.528-1.42 1.416 0 2.588.473 3.527 1.42.936.947 1.405 2.14 1.405 3.572 0 1.437-.465 2.629-1.405 3.576zM39.64 4.712c-1.196 1.111-1.794 2.74-1.794 4.884v.313h-2.372v3.243h2.372v12.353h3.371v-12.35h3.685V9.914h-3.685V9.6c0-2.288 1.228-3.32 3.685-3.09V3.263c-2.312-.149-4.066.337-5.262 1.449zm48.674 17.787c-.574-.032-1.003-.189-1.296-.466-.289-.28-.437-.746-.437-1.388v-5.523a56.13 56.13 0 01-3.372-.028v5.547c0 2.039.562 3.44 1.686 4.194 1.124.758 2.974.983 5.554.67v-3.026c-.85.044-1.565.052-2.135.02zm-13.525 3.01h3.372V14.697a66.078 66.078 0 01-3.372-.49V25.51zm-7.613-12.98V9.91h-3.371v15.6h3.37v-7.862c0-1.602.479-2.75 1.438-3.448.955-.698 2.079-1.003 3.37-.919V9.628c-2.355 0-3.956.967-4.807 2.902zM53.635 9.505c-2.412 0-4.39.786-5.928 2.356-1.537 1.569-2.308 3.52-2.308 5.847 0 2.372.779 4.33 2.34 5.884 1.561 1.549 3.608 2.323 6.149 2.323 3.014 0 5.293-1.135 6.834-3.399l-2.777-1.625c-.895 1.292-2.235 1.934-4.025 1.934-1.293 0-2.384-.317-3.28-.951-.894-.634-1.464-1.545-1.713-2.73h12.417c.085-.581.125-1.05.125-1.404 0-2.287-.735-4.234-2.2-5.835-1.468-1.602-3.347-2.4-5.634-2.4zm-4.744 6.89c.229-1.187.758-2.118 1.59-2.805.83-.686 1.87-1.031 3.118-1.031 1.103 0 2.063.325 2.885.967.823.646 1.345 1.601 1.578 2.87H48.89zm27.58-8.584c-.602 0-1.112.213-1.53.638a2.087 2.087 0 00-.621 1.513c0 .582.212 1.088.638 1.513.43.422.931.638 1.513.638.582 0 1.084-.212 1.513-.638.425-.425.638-.93.638-1.513 0-.582-.209-1.087-.622-1.513a2.055 2.055 0 00-1.53-.638z"
        />
      </G>
    </Svg>
  );
}

export {Logo};
